Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

eZ\Publish\Core\Repository\SiteAccessAware\Language\LanguageResolver Member List

This is the complete list of members for eZ\Publish\Core\Repository\SiteAccessAware\Language\LanguageResolver, including all inherited members.

$configLanguages | eZ\Publish\Core\Repository\SiteAccessAware\Language\LanguageResolver | private
$contextLanguage | eZ\Publish\Core\Repository\SiteAccessAware\Language\AbstractLanguageResolver | private
$defaultShowAllTranslations | eZ\Publish\Core\Repository\SiteAccessAware\Language\AbstractLanguageResolver | private
$defaultUseAlwaysAvailable | eZ\Publish\Core\Repository\SiteAccessAware\Language\AbstractLanguageResolver | private
__construct(array $configLanguages, bool $defaultUseAlwaysAvailable=true, bool $defaultShowAllTranslations=false) | eZ\Publish\Core\Repository\SiteAccessAware\Language\LanguageResolver |
eZ::Publish::Core::Repository::SiteAccessAware::Language::AbstractLanguageResolver::__construct(bool $defaultUseAlwaysAvailable=true, bool $defaultShowAllTranslations=false) | eZ\Publish\Core\Repository\SiteAccessAware\Language\AbstractLanguageResolver |
getConfiguredLanguages() | eZ\Publish\Core\Repository\SiteAccessAware\Language\LanguageResolver | protected
getContextLanguage() | eZ\Publish\Core\Repository\SiteAccessAware\Language\AbstractLanguageResolver |
getPrioritizedLanguages(?array $forcedLanguages=null) | eZ\Publish\Core\Repository\SiteAccessAware\Language\AbstractLanguageResolver |
getShowAllTranslations(?bool $forcedShowAllTranslations=null) | eZ\Publish\Core\Repository\SiteAccessAware\Language\AbstractLanguageResolver |
getUseAlwaysAvailable(?bool $forcedUseAlwaysAvailable=null) | eZ\Publish\Core\Repository\SiteAccessAware\Language\AbstractLanguageResolver |
setContextLanguage(?string $contextLanguage) | eZ\Publish\Core\Repository\SiteAccessAware\Language\AbstractLanguageResolver |
setDefaultUseAlwaysAvailable(bool $defaultUseAlwaysAvailable) | eZ\Publish\Core\Repository\SiteAccessAware\Language\AbstractLanguageResolver |
setShowAllTranslations(bool $defaultShowAllTranslations) | eZ\Publish\Core\Repository\SiteAccessAware\Language\AbstractLanguageResolver |

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.